javax.resource

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ApplicationServerInternalException, CommException, EISSystemException, IllegalStateException, InvalidPropertyException, LocalTransactionException, NotSupportedException, ResourceAdapterInternalException, ResourceAllocationException, ResourceWarning, SecurityException, SharingViolationException, UnavailableException, WorkException

      public class ResourceException
      extends java.lang.Exception

  This is the root interface of the exception hierarchy defined for the Connector architecture. The ResourceException provides the following information:
  - A resource adapter vendor specific string describing the error. This string is a standard Java exception message and is available through getMessage() method.
  - resource adapter vendor specific error code.
  - reference to another exception. Often a resource exception will be result of a lower level problem. If appropriate, this lower level exception can be linked to the ResourceException. Note, this has been deprecated in favor of J2SE release 1.4 exception chaining facility.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceException()` Constructs a new instance with null as its detail message.
    `ResourceException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `ResourceException(java.lang.String message, java.lang.String errorCode)` Create a new throwable with the specified message and error code.
    `ResourceException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ResourceException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorCode()` Get the error code.
    `java.lang.Exception` | `getLinkedException()` Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class..
    `java.lang.String` | `getMessage()` Returns a detailed message string describing this exception.
    `void` | `setErrorCode(java.lang.String errorCode)` Set the error code.
    `void` | `setLinkedException(java.lang.Exception ex)` Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

      Constructs a new instance with null as its detail message.

    - #### ResourceException

          public ResourceException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ResourceException

          public ResourceException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceException

          public ResourceException(java.lang.String message,
                                   java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceException

          public ResourceException(java.lang.String message,
                                   java.lang.String errorCode)

      Create a new throwable with the specified message and error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

  - ### Method Detail

    - #### setErrorCode

          public void setErrorCode(java.lang.String errorCode)

      Set the error code.
      Parameters:
        `errorCode` - the error code.

    - #### getErrorCode

          public java.lang.String getErrorCode()

      Get the error code.
      Returns:
        the error code.

    - #### getLinkedException

          public java.lang.Exception getLinkedException()

      Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class..
      Get the exception linked to this ResourceException
      Returns:
        linked Exception, null if none

    - #### setLinkedException

          public void setLinkedException(java.lang.Exception ex)

      Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.
      Add a linked Exception to this ResourceException.
      Parameters:
        `ex` - linked Exception

    - #### getMessage

          public java.lang.String getMessage()

      Returns a detailed message string describing this exception.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        a detailed message string.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)